------------------------------------------------------------------------------------
--Name：            200417[简体征服][活动脚本]全球儿童节活动-捉迷藏
--Creator:      江宇君
--Created:     2020-04-17
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>60

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(165,232)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- hero:SetCtrlMapView(1)

-- hero:SetPos(165, 230)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- -- 设置外观：player:SetLook(外观type)
-- hero:SetLook(7)

local playerkid1 = CppScriptMgr:AddSimplePlayer(25210, 165,224, "Bruce~Tao", 4003000006,1)
playerkid1:Say("Do you want to play hide-and-seek with me?", 3000)
local playerkid2 = CppScriptMgr:AddSimplePlayer(25220, 160,218, "Clever", 4003000007,1)
playerkid2:Say("You should be careful! I`m good at the game!", 3000)
local playerkid3 = CppScriptMgr:AddSimplePlayer(25230, 170,219, "Cutter", 4003000008,1)
playerkid3:Say("Hey! Why not play hide-and-seek with me?", 3000)


local player1 = CppScriptMgr:AddSimplePlayer(25240, 109,212, "Desk", 4003000001,1)
local player2 = CppScriptMgr:AddSimplePlayer(25270, 197,212, "Jackstraw", 4003000002,1)
player2 = hero:SetZoomPercent(120)
local player3 = CppScriptMgr:AddSimplePlayer(25280, 161,184, "Spiling", 4003000003,1)
local player4 = CppScriptMgr:AddSimplePlayer(25300, 123,194, "Strongbox", 4003000004,1)
local player5 = CppScriptMgr:AddSimplePlayer(25310, 197,229, "Firework~Box", 4003000005,1)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(165,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)


CppScriptMgr:NpcCallOut("Children are keen on playing hide-and-seek in Tao Village. There are furniture everywhere and they can disguise themselves as one of the furniture!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(164,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(135,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(127,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(126,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(125,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(124,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(122,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(121,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(120,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(119,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(118,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(117,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(116,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(115,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(114,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(113,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(112,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(111,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(110,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(109,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",109,212)
CppScriptMgr:SetViewPosByCell(109,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("I`ll show you around Tao Village. You should bear the position and appearance of these furniture in mind!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430,"Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(109,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(110,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(111,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(112,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(113,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(114,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(115,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(116,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(117,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(118,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(119,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(120,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(121,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(122,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",123,194)
CppScriptMgr:SetViewPosByCell(123,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("When the game begins, children will disguise them as different furniture. If you find them, you win!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430,"Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(124,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(125,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(126,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(127,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(135,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",161,184)
CppScriptMgr:SetViewPosByCell(161,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Children disguise themselves as those furniture which doesn`t exist in the village previously. Find them, and you`ll be awarded!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430,"Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(162,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(166,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(167,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(168,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(169,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(170,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(171,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(172,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(173,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(174,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(175,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(176,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(177,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(178,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(179,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(180,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(181,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(182,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(183,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(184,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(185,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(187,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(188,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(189,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(190,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(191,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(192,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(193,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(194,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(195,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(196,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",197,212)
CppScriptMgr:SetViewPosByCell(197,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("You have 5 chances in total. The more children you find, the more Adventure Coins you will get!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430,"Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(197,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(197,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",197,229)
CppScriptMgr:SetViewPosByCell(197,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Now, let me count backwards, 3, 2, 1! Now you can go to find Bruce Tao to join in Play & Seek Adventure!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430,"Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)






